
QGIS Application - Bug report #7008

qgis crashes when "help" button is selected in options-->gdal-->edit create options (Windows only)

2013-01-18 06:45 AM - Etienne Tourigny

Status: Closed

Priority: Severe/Regression

Assignee: Etienne Tourigny

Category: Data Provider

Affected QGIS version:master Regression?: No

Operating System: windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 16108

Description

qgis crashes when "help" is selected in options-->gdal-->edit create options

it happens for every type of gdal driver options selected

Only Windows is affected, I am presuming this is related to the gdal provider loading in

QgsRasterFormatSaveOptionsWidget::helpOptions() and not a gui issue.

I don't have developping tools setup on windows for now, so it would be great if someone could try it and report at least the line where

crash occurs.

bug was originally reported here: #6992

This was tested in latest qgis-dev osgeo4w release (1.9.0-165), with following details

QGIS version

1.9.0-Master

QGIS code revision

a928d51

Compiled against Qt

4.7.1

Running against Qt

4.7.1

Compiled against GDAL/OGR

1.9.2

Running against GDAL/OGR

1.9.2

GEOS Version

3.3.6

PostgreSQL Client Version

8.3.10

SpatiaLite Version

3.0.1

QWT Version

5.2.1

PROJ.4 Version

480

QScintilla2 Version

2.6.2

This copy of QGIS writes debugging output.
Related issues:

Related to QGIS Application - Bug report # 6992: gui issues with QgsRasterFor... Closed 2013-01-14

Associated revisions

Revision 087e9293 - 2013-01-18 04:14 PM - Jürgen Fischer

use CPLFree on memory allocated by GDAL (fixes #7008)

History

#1 - 2013-01-18 07:08 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"087e929320af9c6820cf459ed7bc48544c8a2998".

#2 - 2013-01-18 07:57 AM - Etienne Tourigny

wow that was a stupid mistake on my part... many thanks
